version: '3'

services:

  dcsc-webserver:
    build: ./services/dc-slice-controller
    ports:
     - 5000:5000
    depends_on:
      - dcsc-mysql
    volumes:
      - ./Logs:/root_path/Logs
      - ./keys:/root/.ssh/

  dcsc-mysql:
    image: mysql:5.7.25
    environment:
      MYSQL_ROOT_PASSWORD: 'dcscPass!'
      MYSQL_DATABASE: 'dc_slice_controller'
      MYSQL_USER: 'necos'
      MYSQL_PASSWORD: 'dcscPass!'
    volumes:
      - ./Database/data/mysqldb:/var/lib/mysql
      - ./Database/install_db.sql:/docker-entrypoint-initdb.d/install_db.sql
  
  dcsc-php-admin:
    image: phpmyadmin/phpmyadmin:latest
    links:
      - dcsc-mysql
    ports:
      - 8080:80
    environment:
      - PMA_ARBITRARY=1
    depends_on:
      - dcsc-mysql
